> ## Documentation Index
> Fetch the complete documentation index at: https://docs.upwell.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete One Invoice By Source System Id

> Delete an invoice by source system id



## OpenAPI

````yaml /api-reference/openapi.json delete /api/rest/invoices
openapi: 3.1.0
info:
  description: >-
    Upwell is Accounts Receivable automation software for the logistics
    industry. We serve freight brokers, carriers, factors, and anyone who needs
    to get transportation invoices paid.


    Learn more at:


    - [Upwell.com](https://upwell.com)
  title: Upwell REST API
  version: 3.30.2
  termsOfService: https://upwell.com/legal
  contact:
    name: Upwell
    url: https://upwell.com
    email: contact@upwell.com
servers:
  - url: https://api.upwell.com
    description: Production server
  - url: https://staging.api.upwell.com
    description: Staging server
security: []
tags:
  - name: Invoice Approval
    description: Endpoints for managing customer invoice approval workflow
paths:
  /api/rest/invoices:
    delete:
      tags:
        - Invoices
      summary: Delete One Invoice By Source System Id
      description: Delete an invoice by source system id
      parameters:
        - description: >-
            Your API key will be used for authentication of the request.
            `Authorization: YOUR_API_KEY`
          in: header
          name: authorization
          schema:
            type: string
        - description: >-
            _"sourceSystem" is required (enter it either in parameters or
            request body)_
          in: query
          name: sourceSystem
          schema:
            type: string
        - description: >-
            _"sourceSystemId" is required (enter it either in parameters or
            request body)_
          in: query
          name: sourceSystemId
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              properties:
                sourceSystem:
                  nullable: false
                  title: String
                  type: string
                sourceSystemId:
                  nullable: false
                  title: String
                  type: string
              type: object
        description: >-
          Query parameters can also be provided in the request body as a JSON
          object
        required: false
      responses:
        '200':
          content:
            application/json:
              schema:
                properties:
                  deleteInvoice:
                    description: response of any mutation on the table "invoices"
                    nullable: true
                    properties:
                      affectedRows:
                        nullable: false
                        title: Int
                        type: integer
                      returning:
                        items:
                          description: columns and relationships of "invoices"
                          nullable: false
                          properties:
                            id:
                              nullable: false
                              title: String
                              type: string
                          title: Invoices
                          type: object
                        nullable: false
                        type: array
                    title: InvoicesMutationResponse
                    type: object
          description: Responses for DELETE /api/rest/invoices

````